Bug 57038 - Web Inspector: re-implement dom breakpoints.
Summary: Web Inspector: re-implement dom breakpoints.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Podivilov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-24 11:04 PDT by Pavel Podivilov
Modified: 2011-04-14 09:21 PDT (History)
9 users (show)

See Also:


Attachments
Patch. (58.55 KB, patch)
2011-03-24 11:04 PDT, Pavel Podivilov
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Podivilov 2011-03-24 11:04:05 PDT
Web Inspector: re-implement dom breakpoints.

Move all logic related to dom breakpoints to DOMBreakpointsSidebarPane.js file.
Comment 1 Pavel Podivilov 2011-03-24 11:04:39 PDT
Created attachment 86800 [details]
Patch.
Comment 2 Pavel Feldman 2011-03-24 11:06:57 PDT
Comment on attachment 86800 [details]
Patch.

Why is this necessary? Could you split it into a number of changes or send more compact move diffs? Otherwise it is hard to follow.
Comment 3 Pavel Podivilov 2011-03-25 02:45:41 PDT
(In reply to comment #2)
> (From update of attachment 86800 [details])
> Why is this necessary? Could you split it into a number of changes or send more compact move diffs? Otherwise it is hard to follow.

It's the final part of browser breakpoints refactoring, half of this patch is large blocks or removed dead code. DOMBreakpointsSidebarPane is implemented from scratch (the code is mostly new). Splitting this into a number of changes which don't introduce regressions will be a real pain.
Comment 4 Pavel Feldman 2011-04-14 06:21:02 PDT
Comment on attachment 86800 [details]
Patch.

View in context: https://bugs.webkit.org/attachment.cgi?id=86800&action=review

> Source/WebCore/inspector/front-end/DOMBreakpointsSidebarPane.js:54
> +WebInspector.DOMBreakpointsSidebarPane.instance = function()

We don't use singletons elsewhere. Why is this necessary?

> Source/WebCore/inspector/front-end/DOMBreakpointsSidebarPane.js:66
> +        var fragmentIndex = url.indexOf("#");

I think we have this somewhere else as well. Should we move this to the utilities.js?
Comment 5 Pavel Podivilov 2011-04-14 09:19:15 PDT
Committed r83864: <http://trac.webkit.org/changeset/83864>
Comment 6 Pavel Podivilov 2011-04-14 09:21:41 PDT
(In reply to comment #4)
> (From update of attachment 86800 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=86800&action=review
> 
> > Source/WebCore/inspector/front-end/DOMBreakpointsSidebarPane.js:54
> > +WebInspector.DOMBreakpointsSidebarPane.instance = function()
> 
> We don't use singletons elsewhere. Why is this necessary?
> 
> > Source/WebCore/inspector/front-end/DOMBreakpointsSidebarPane.js:66
> > +        var fragmentIndex = url.indexOf("#");
> 
> I think we have this somewhere else as well. Should we move this to the utilities.js?

Done.